<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Weather.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">dto.openweather</a> &gt; <span class="el_source">Weather.java</span></div><h1>Weather.java</h1><pre class="source lang-java linenums">/*
 * OpenWeatherMap API
 * Sample OpenWeather API.
 *
 * OpenAPI spec version: 2.5
 * Contact: kpshinde25@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package dto.openweather;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import javax.validation.constraints.*;
import javax.validation.Valid;

/**
 * Weather
 */
<span class="nc" id="L26">@javax.annotation.Generated(value = &quot;io.swagger.codegen.v3.generators.java.JavaJerseyServerCodegen&quot;, date = &quot;2023-11-24T13:51:58.004723400+01:00[Europe/Paris]&quot;)public class Weather  implements Serializable  {</span>
<span class="nc" id="L27">  @JsonProperty(&quot;id&quot;)</span>
  private Integer id = null;

<span class="nc" id="L30">  @JsonProperty(&quot;main&quot;)</span>
  private String main = null;

<span class="nc" id="L33">  @JsonProperty(&quot;description&quot;)</span>
  private String description = null;

<span class="nc" id="L36">  @JsonProperty(&quot;icon&quot;)</span>
  private String icon = null;

  public Weather id(Integer id) {
<span class="nc" id="L40">    this.id = id;</span>
<span class="nc" id="L41">    return this;</span>
  }

  /**
   * Weather condition id
   * @return id
   **/
  @JsonProperty(&quot;id&quot;)
  @Schema(example = &quot;803&quot;, description = &quot;Weather condition id&quot;)
  public Integer getId() {
<span class="nc" id="L51">    return id;</span>
  }

  public void setId(Integer id) {
<span class="nc" id="L55">    this.id = id;</span>
<span class="nc" id="L56">  }</span>

  public Weather main(String main) {
<span class="nc" id="L59">    this.main = main;</span>
<span class="nc" id="L60">    return this;</span>
  }

  /**
   * Group of weather parameters (Rain, Snow, Extreme etc.)
   * @return main
   **/
  @JsonProperty(&quot;main&quot;)
  @Schema(example = &quot;Clouds&quot;, description = &quot;Group of weather parameters (Rain, Snow, Extreme etc.)&quot;)
  public String getMain() {
<span class="nc" id="L70">    return main;</span>
  }

  public void setMain(String main) {
<span class="nc" id="L74">    this.main = main;</span>
<span class="nc" id="L75">  }</span>

  public Weather description(String description) {
<span class="nc" id="L78">    this.description = description;</span>
<span class="nc" id="L79">    return this;</span>
  }

  /**
   * Weather condition within the group
   * @return description
   **/
  @JsonProperty(&quot;description&quot;)
  @Schema(example = &quot;broken clouds&quot;, description = &quot;Weather condition within the group&quot;)
  public String getDescription() {
<span class="nc" id="L89">    return description;</span>
  }

  public void setDescription(String description) {
<span class="nc" id="L93">    this.description = description;</span>
<span class="nc" id="L94">  }</span>

  public Weather icon(String icon) {
<span class="nc" id="L97">    this.icon = icon;</span>
<span class="nc" id="L98">    return this;</span>
  }

  /**
   * Weather icon id
   * @return icon
   **/
  @JsonProperty(&quot;icon&quot;)
  @Schema(example = &quot;50d&quot;, description = &quot;Weather icon id&quot;)
  public String getIcon() {
<span class="nc" id="L108">    return icon;</span>
  }

  public void setIcon(String icon) {
<span class="nc" id="L112">    this.icon = icon;</span>
<span class="nc" id="L113">  }</span>


  @Override
  public boolean equals(java.lang.Object o) {
<span class="nc bnc" id="L118" title="All 2 branches missed.">    if (this == o) {</span>
<span class="nc" id="L119">      return true;</span>
    }
<span class="nc bnc" id="L121" title="All 4 branches missed.">    if (o == null || getClass() != o.getClass()) {</span>
<span class="nc" id="L122">      return false;</span>
    }
<span class="nc" id="L124">    Weather weather = (Weather) o;</span>
<span class="nc bnc" id="L125" title="All 2 branches missed.">    return Objects.equals(this.id, weather.id) &amp;&amp;</span>
<span class="nc bnc" id="L126" title="All 2 branches missed.">        Objects.equals(this.main, weather.main) &amp;&amp;</span>
<span class="nc bnc" id="L127" title="All 2 branches missed.">        Objects.equals(this.description, weather.description) &amp;&amp;</span>
<span class="nc bnc" id="L128" title="All 2 branches missed.">        Objects.equals(this.icon, weather.icon);</span>
  }

  @Override
  public int hashCode() {
<span class="nc" id="L133">    return Objects.hash(id, main, description, icon);</span>
  }


  @Override
  public String toString() {
<span class="nc" id="L139">    StringBuilder sb = new StringBuilder();</span>
<span class="nc" id="L140">    sb.append(&quot;class Weather {\n&quot;);</span>
    
<span class="nc" id="L142">    sb.append(&quot;    id: &quot;).append(toIndentedString(id)).append(&quot;\n&quot;);</span>
<span class="nc" id="L143">    sb.append(&quot;    main: &quot;).append(toIndentedString(main)).append(&quot;\n&quot;);</span>
<span class="nc" id="L144">    sb.append(&quot;    description: &quot;).append(toIndentedString(description)).append(&quot;\n&quot;);</span>
<span class="nc" id="L145">    sb.append(&quot;    icon: &quot;).append(toIndentedString(icon)).append(&quot;\n&quot;);</span>
<span class="nc" id="L146">    sb.append(&quot;}&quot;);</span>
<span class="nc" id="L147">    return sb.toString();</span>
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
<span class="nc bnc" id="L155" title="All 2 branches missed.">    if (o == null) {</span>
<span class="nc" id="L156">      return &quot;null&quot;;</span>
    }
<span class="nc" id="L158">    return o.toString().replace(&quot;\n&quot;, &quot;\n    &quot;);</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>